Bug 1015265 - openvas-client no plugins
openvas-client no plugins
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: openvas-scanner (Show other bugs)
19
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Stjepan Gros
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-03 14:47 EDT by James Wilson Harshaw IV
Modified: 2015-02-18 06:32 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:32:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Wilson Harshaw IV 2013-10-03 14:47:10 EDT
Description of problem:
After checking openvas-check-setup --v6 I get

Step 1: Checking OpenVAS Scanner ... 
        OK: OpenVAS Scanner is present in version 3.4+beta1.
        OK: OpenVAS Scanner CA Certificate is present as /etc/pki/openvas/CA/cacert.pem.
        OK: NVT collection in /var/lib/openvas/plugins contains 32579 NVTs.
        WARNING: Signature checking of NVTs is not enabled in OpenVAS Scanner.
        SUGGEST: Enable signature checking (see http://www.openvas.org/trusted-nvts.html).
Step 2: Checking OpenVAS Manager ... 
        OK: OpenVAS Manager is present in version 4.0+beta5.
        OK: OpenVAS Manager client certificate is present as /etc/pki/openvas/CA/clientcert.pem.
        OK: OpenVAS Manager database found in /var/lib/openvas/mgr/tasks.db.
        OK: Access rights for the OpenVAS Manager database are correct.
        OK: sqlite3 found, extended checks of the OpenVAS Manager installation enabled.
        OK: OpenVAS Manager database is at revision 74.
        OK: OpenVAS Manager expects database at revision 74.
        OK: Database schema is up to date.
        ERROR: The number of NVTs in the OpenVAS Manager database is too low.
        FIX: Make sure OpenVAS Scanner is running with an up-to-date NVT collection and run 'openvasmd --rebuild'.


So I run 'sudo openvasmd -v --rebuild'. Then run openvas-client and it says no plugins are loaded though the server says all the plugins were loaded. 

nvts are synced. 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.openvas-client
2.connect to server
3.

Actual results:


Expected results:


Additional info:
Comment 1 James Boyle 2013-10-30 16:26:25 EDT
I seem to have the same or similar issue.

symptoms:

# cd /var/lib/openvas/plugins
# ls |wc -l
57750
#

* So, we know that openvas-nvt-sync pulled down lots of nasl files

# cd /var/lib/openvas/mgr
# sqlite3 tasks.db '.tables'
agents                             port_lists_trash                 
agents_trash                       port_ranges                      
alert_condition_data               port_ranges_trash                
alert_condition_data_trash         report_format_param_options      
alert_event_data                   report_format_param_options_trash
alert_event_data_trash             report_format_params             
alert_method_data                  report_format_params_trash       
alert_method_data_trash            report_formats                   
alerts                             report_formats_trash             
alerts_trash                       report_host_details              
config_preferences                 report_hosts                     
config_preferences_trash           report_results                   
configs                            reports                          
configs_trash                      results                          
filters                            schedules                        
filters_trash                      schedules_trash                  
lsc_credentials                    settings                         
lsc_credentials_trash              slaves                           
meta                               slaves_trash                     
notes                              targets                          
notes_trash                        targets_trash                    
nvt_preferences                    task_alerts                      
nvt_selectors                      task_files                       
nvts                               task_preferences                 
overrides                          task_users                       
overrides_trash                    tasks                            
port_lists                         users                            

* Ok, so there are tables in the database

# sqlite3 tasks.db 'select * from nvt_selectors;'
1|54b45713-d4f4-4435-b20d-304c175ed8c5|0|0||
2|54b45713-d4f4-4435-b20d-304c175ed8c5|1|1|Port scanners|Port scanners
3|54b45713-d4f4-4435-b20d-304c175ed8c5|0|2|1.3.6.1.4.1.25623.1.0.14259|Port scanners
4|54b45713-d4f4-4435-b20d-304c175ed8c5|0|2|1.3.6.1.4.1.25623.1.0.100315|Port scanners
5|54b45713-d4f4-4435-b20d-304c175ed8c5|1|2|1.3.6.1.4.1.25623.1.0.80109|Web application abuses

* sqlite3 can read data from the tables....

# sqlite3 tasks.db 'select * from nvts;'
#

* Nothing is stored in the nvts table...  I couldn't say why after running both openvasmd --rebuild and --update

from /var/log/openvas/openvasmd.log
md   main:WARNING:2013-10-30 19h13.19 utc:28383: sql_x: sqlite3_prepare failed: no such table: main.meta
md   main:   INFO:2013-10-30 19h24.53 utc:28383:    Set to connect to address 127.0.0.1 port 9391
md   main:   INFO:2013-10-30 19h24.53 utc:28383:    Updating NVT cache.

I will update with more useful information if I find it.
Comment 2 James Boyle 2013-10-31 11:10:39 EDT
Additionally, I see the following in /var/log/messages when I run the openvas-client...

Oct 31 11:06:25 mnich /etc/gdm/Xsession[2838]: Gtk:WARNING:2013-10-31 11h06.25 EDT:2670: GtkSpinButton: setting an adjustment with non-zero page size is deprecated
Oct 31 11:06:29 mnich  serving 127.0.0.1: Libgcrypt warning: missing initialization - please fix the application
Oct 31 11:06:30 mnich /etc/gdm/Xsession[2838]: Error : we received a preference (Severity) for the plugin Search for specified dirs
Oct 31 11:06:30 mnich /etc/gdm/Xsession[2838]: but apparently the server has not loaded it
Oct 31 11:06:30 mnich /etc/gdm/Xsession[2838]: Error : we received a preference (Search for dir(s)) for the plugin Search for specified dirs
Oct 31 11:06:30 mnich /etc/gdm/Xsession[2838]: but apparently the server has not loaded it
Oct 31 11:06:30 mnich /etc/gdm/Xsession[2838]: Error : we received a preference (Valid http status codes indicating that a directory was found) for the plugin Search for specified dirs
Oct 31 11:06:30 mnich /etc/gdm/Xsession[2838]: but apparently the server has not loaded it
Oct 31 11:06:30 mnich /etc/gdm/Xsession[2838]: Error : we received a preference (Run this Plugin) for the plugin Search for specified dirs
Oct 31 11:06:30 mnich /etc/gdm/Xsession[2838]: but apparently the server has not loaded it
Oct 31 11:06:30 mnich /etc/gdm/Xsession[2838]: Error : we received a preference (TCP scanning technique :) for the plugin Nmap (NASL wrapper)
Oct 31 11:06:30 mnich /etc/gdm/Xsession[2838]: but apparently the server has not loaded it
Oct 31 11:06:30 mnich /etc/gdm/Xsession[2838]: Error : we received a preference (Service scan) for the plugin Nmap (NASL wrapper)
Oct 31 11:06:30 mnich /etc/gdm/Xsession[2838]: but apparently the server has not loaded it
Comment 3 Michal Ambroz 2014-08-28 11:43:27 EDT
In my opinion the package openvas-client should be decommisioned.
With OpenVAS-7 it is no longer supported as it was using older type of interface which is no longer supported by openvas-libraries 7*.

There are OpenVAS-7 packages in rawhide and technically it should be possible to build them for Fedora 20 as well.
Please test with OpenVAS7.


Best regards
Michal Ambroz
Comment 4 Fedora End Of Life 2015-01-09 17:19:38 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-18 06:32:35 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.